CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

域代码方法 (ActiveX)

2023-1-4 10:25| 发布者: admin| 查看: 515| 评论: 0|来自: AutoCAD

摘要: 返回包含域代码的文本字符串。

返回包含域代码的文本字符串。

支持的平台:仅窗口

签名

工 务 局:

RetVal = object.FieldCode
对象

类型:MText文本

此方法适用的对象。

返回值(RetVal)

类型:字符串

对象的域代码。

言论

没有额外的评论。

例子

工 务 局:

Sub Example_FieldCode()
    ' This example creates a text object in model space.
    ' It then returns the field code string for the object.

    Dim textObj As AcadText
    Dim text As String
    Dim insertionPoint(0 To 2) As Double
    Dim height As Double

    ' Define the text object
    text = "%<\AcVar Date \f ""M/d/yyyy""%>%"
    insertionPoint(0) = 2: insertionPoint(1) = 2: insertionPoint(2) = 0
    height = 0.5
    
    ' Create the text object in model space
    Set textObj = ThisDrawing.ModelSpace.AddText(text, insertionPoint, height)
    ZoomAll
    
    ' Return the current text string for the object
    text = textObj.FieldCode
    MsgBox "The FieldCode for the text object equals: " & text, vbInformation, "FieldCode Example"

End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_FieldCode()
    ;; This example creates a text object in model space.
    ;; It then returns the field code string for the object.
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    ;; Define the text object
    (setq insertionPoint (vlax-3d-point 2 2 0)
          text "%<\\AcVar Date \\f \"M/d/yyyy\"%>%"
          height 0.5)
    
    ;; Create the text object in model space
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq textObj (vla-AddText modelSpace text insertionPoint height))  
    (vla-ZoomAll acadObj)
    
    ;; Return the current text string for the object
    (setq text (vla-FieldCode textObj))
    (alert (strcat "The FieldCode for the text object equals: " text))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-19 14:28

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部